# Class Reactome

java.lang.Object
org.snpeff.reactome.Reactome

All Implemented Interfaces:
  `Iterable<Entity>`

public class Reactome extends Object implements Iterable<Entity>
Load reactome data from TXT files

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`EPSILON`
`static final double`
`MAX_CONVERGENCE_DIFFERENCE`
`static final int`
`MAX_ITERATIONS`
`static final int`
`SHOW_EVERY`

## Constructor Summary

Constructors
Constructor
Description
`Reactome()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Entity entity, String geneId)`
Add an entity invalid input: '<'-> geneId
`Monitor`
`getMonitor()`
`Monitor`
`getMonitorTrace()`
`Iterator<Entity>`
`iterator()`
`void`
`load(String dirName, String geneIdsFile)`
`protected void`
`loadCatalystActivity()`
Load catalyst activity to molecule mapping
`protected void`
`loadComplex2HasComponent()`
Load complexes
`protected void`
`loadDatabaseObjects()`
Load objects table (populate objectType and objectName maps)
`void`
`loadGeneIds(String geneIdsFile)`
Load Gene IDs data, then map geneIDs invalid input: '<'-> Entities
`protected void`
`loadMap(String name, String fileName, HashMap<String,String> map)`
Load a two-column file into a Hash
`protected void`
`loadPathway2HasEvent()`
Load pathway events
`protected void`
`loadPhysicalEntity2Compartment()`
Load compartment information
`protected void`
`loadReactionlikeEvent2CatalystActivity()`
Load reaction catalyst
`protected void`
`loadReactionlikeEvent2Input()`
Load reaction inputs
`protected void`
`loadReactionlikeEvent2Output()`
Load reaction outputs
`protected void`
`loadRegulation()`
Load reaction regulation
`static void`
`main(String[] args)`
Main
`void`
`reset()`
Reset all nodes in the circuit
`boolean`
`run(GtexExperiment gtexExperiment)`
Run some simulations
`boolean`
`run(Gtex gtex, String nameMatch)`
Run all experiments on gtex
`void`
`setMonitorTrace(Monitor monitorTrace)`
`void`
`setVerbose(boolean verbose)`
`String`
`toString()`
`String`
`toStringDetails()`
Show details

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Field Details

### SHOW_EVERY

public static final int SHOW_EVERY

See Also:
  - Constant Field Values

### EPSILON

public static final double EPSILON

See Also:
  - Constant Field Values

### MAX_CONVERGENCE_DIFFERENCE

public static final double MAX_CONVERGENCE_DIFFERENCE

See Also:
  - Constant Field Values

### MAX_ITERATIONS

public static final int MAX_ITERATIONS

See Also:
  - Constant Field Values

## Constructor Details

### Reactome

public Reactome()

## Method Details

### main

public static void main(String[] args)
Main

Parameters:
  `args` -

### add

public void add(Entity entity, String geneId)
Add an entity invalid input: '<'-> geneId

Parameters:
  `entity` -
  `geneId` -

### getMonitor

public Monitor getMonitor()

### getMonitorTrace

public Monitor getMonitorTrace()

### iterator

public Iterator<Entity> iterator()

Specified by:
  `iterator` in interface `Iterable<Entity>`

### load

public void load(String dirName, String geneIdsFile)

### loadCatalystActivity

protected void loadCatalystActivity()
Load catalyst activity to molecule mapping

### loadComplex2HasComponent

protected void loadComplex2HasComponent()
Load complexes

Parameters:
  `name` -
  `fileName` -
  `map` -

### loadDatabaseObjects

protected void loadDatabaseObjects()
Load objects table (populate objectType and objectName maps)

### loadGeneIds

public void loadGeneIds(String geneIdsFile)
Load Gene IDs data, then map geneIDs invalid input: '<'-> Entities

Parameters:
  `geneIdsFile` -

### loadMap

protected void loadMap(String name, String fileName, HashMap<String,String> map)
Load a two-column file into a Hash

Parameters:
  `name` -
  `fileName` -
  `map` -

### loadPathway2HasEvent

protected void loadPathway2HasEvent()
Load pathway events

Parameters:
  `name` -
  `fileName` -
  `map` -

### loadPhysicalEntity2Compartment

protected void loadPhysicalEntity2Compartment()
Load compartment information

Parameters:
  `name` -
  `fileName` -
  `map` -

### loadReactionlikeEvent2CatalystActivity

protected void loadReactionlikeEvent2CatalystActivity()
Load reaction catalyst

Parameters:
  `name` -
  `fileName` -
  `map` -

### loadReactionlikeEvent2Input

protected void loadReactionlikeEvent2Input()
Load reaction inputs

Parameters:
  `name` -
  `fileName` -
  `map` -

### loadReactionlikeEvent2Output

protected void loadReactionlikeEvent2Output()
Load reaction outputs

Parameters:
  `name` -
  `fileName` -
  `map` -

### loadRegulation

protected void loadRegulation()
Load reaction regulation

Parameters:
  `name` -
  `fileName` -
  `map` -

### reset

public void reset()
Reset all nodes in the circuit

### run

public boolean run(Gtex gtex, String nameMatch)
Run all experiments on gtex

Parameters:
  `gtex` -
Returns:

### run

public boolean run(GtexExperiment gtexExperiment)
Run some simulations

Parameters:
  `gtexExperiment` -
  `gtex` -

### setMonitorTrace

public void setMonitorTrace(Monitor monitorTrace)

### setVerbose

public void setVerbose(boolean verbose)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toStringDetails

public String toStringDetails()
Show details

Returns: